summaryrefslogtreecommitdiff
path: root/games-simulation/lincity-ng
diff options
context:
space:
mode:
authoreroen2014-06-02 01:06:23 +0200
committereroen2014-06-02 07:41:43 +0200
commit6de1035f0f80a91490764d24ce1d9b096ca09d97 (patch)
tree96ffa44bd1d1aaf1958b889906f8bf0ab5b1c14c /games-simulation/lincity-ng
parent706c65d7c6335c079ef84ad4c3be3f4397d41c19 (diff)
downloaderoen-overlay-6de1035f0f80a91490764d24ce1d9b096ca09d97.tar.gz
eroen-overlay-6de1035f0f80a91490764d24ce1d9b096ca09d97.tar.bz2
eroen-overlay-6de1035f0f80a91490764d24ce1d9b096ca09d97.tar.xz
lincity-ng-2.0_beta - bump to 2013-12-22 prerelease
Diffstat (limited to 'games-simulation/lincity-ng')
-rw-r--r--games-simulation/lincity-ng/Manifest1
-rw-r--r--games-simulation/lincity-ng/files/lincity-ng-2.9_beta-build.patch19
-rw-r--r--games-simulation/lincity-ng/lincity-ng-2.9_beta.ebuild60
3 files changed, 80 insertions, 0 deletions
diff --git a/games-simulation/lincity-ng/Manifest b/games-simulation/lincity-ng/Manifest
index 215a3133..f5f2ab1f 100644
--- a/games-simulation/lincity-ng/Manifest
+++ b/games-simulation/lincity-ng/Manifest
@@ -1 +1,2 @@
DIST lincity-ng-2.0.tar.bz2 39475719 SHA256 a6b206a5dfc7a817669f4fc7cbc012bd4a7073c42f918ceb2f1f484cc0b06606 SHA512 d85cd398145d1591f8640458c076f2a0b55713c39ede28b67d99adc7b76d38f09b58cd2ec84d9acac11bbaa794f6d97f6200f54efcdd4286315e6b3133284c55 WHIRLPOOL d218d0475198c9852abf18caab55df57c2dc0026c74db3215c66c4915758c9f4e608906ccdeb8ff9b83eace67ad4cdcb3e5d5d7dd5d1a7aa4c18131e03646d91
+DIST lincity-ng-2.9.beta.tar.bz2 44956934 SHA256 542506135e833f7fd7231c0a5b2ab532fab719d214add461227af72d97ac9d4f SHA512 3ec9997971c7c5a0d027cc09cb7608f965122d5f7dccc7bffcab1bf84d50db495a2b42131ec80a049138a35625c7cfe6e49214be248cdceeefe056616ff71bc9 WHIRLPOOL 84cb7eda258e42be4745a3290a7ca5b7cd1001638606ef13792af06e5c4b26b29e220649dfa8a2c9c61fab709b9e726b10fdac3362c43e55376f22329fcfeef8
diff --git a/games-simulation/lincity-ng/files/lincity-ng-2.9_beta-build.patch b/games-simulation/lincity-ng/files/lincity-ng-2.9_beta-build.patch
new file mode 100644
index 00000000..e917f622
--- /dev/null
+++ b/games-simulation/lincity-ng/files/lincity-ng-2.9_beta-build.patch
@@ -0,0 +1,19 @@
+From: Julian Ospald <hasufell@gentoo.org>
+Date: Mon Jul 30 07:06:54 UTC 2012
+Subject: build system
+
+arguments to AR would be overwritten if we export AR
+
+--- lincity-ng-2.0.orig/mk/jam/unix.jam
++++ lincity-ng-2.0/mk/jam/unix.jam
+@@ -45,4 +45,10 @@
+ $(LINK) -o $(<) $(>) $(EXTRAOBJECTS) $(NEEDLIBS) $(LIBS)
+ }
+
++# jam Archive action seems to include the arguments which will break our AR export
++actions Archive
++{
++ $(AR) ru $(<) $(>)
++}
++
+
diff --git a/games-simulation/lincity-ng/lincity-ng-2.9_beta.ebuild b/games-simulation/lincity-ng/lincity-ng-2.9_beta.ebuild
new file mode 100644
index 00000000..78e9727f
--- /dev/null
+++ b/games-simulation/lincity-ng/lincity-ng-2.9_beta.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+inherit eutils multiprocessing toolchain-funcs versionator games
+
+DESCRIPTION="City/country simulation game for X and opengl"
+HOMEPAGE="https://fedorahosted.org/LinCity-NG/"
+SRC_URI="mirror://berlios/${PN}/${P/_beta/.beta}.tar.bz2"
+
+LICENSE="GPL-2+ BitstreamVera"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86"
+IUSE=""
+
+RDEPEND="virtual/opengl
+ >=sys-libs/zlib-1.0
+ >=dev-libs/libxml2-2.6.11
+ >=media-libs/libsdl-1.2.14[joystick,opengl,sound,video]
+ >=media-libs/sdl-mixer-1.2.4[vorbis]
+ >=media-libs/sdl-image-1.2.3[png]
+ >=media-libs/sdl-ttf-2.0.8
+ >=media-libs/sdl-gfx-2.0.13
+ >=dev-games/physfs-1.0.0"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ >=dev-util/ftjam-2.5"
+
+S="${WORKDIR}"/${P/_beta/.beta}
+
+pkg_pretend() {
+ # Needs gcc/g++ 3.2 or later according to configure.ac/docs.
+ if ! version_is_at_least 3.2 $(gcc-version); then
+ eerror
+ eerror "sys-devel/gcc-3.2 or later is required to build ${P}"
+ eerror "Please select a more recent compiler using gcc-config"
+ eerror
+ die
+ fi
+}
+
+src_prepare() {
+ epatch "${FILESDIR}"/${P}-build.patch
+}
+
+src_compile() {
+ jam -q -dx -j $(makeopts_jobs) || die "jam failed"
+}
+
+src_install() {
+ jam -sDESTDIR="${D}" \
+ -sappdocdir="/usr/share/doc/${PF}" \
+ -sapplicationsdir="/usr/share/applications" \
+ -spixmapsdir="/usr/share/pixmaps" \
+ install \
+ || die "jam install failed"
+ rm -f "${D%/}"/usr/share/doc/${PF}/COPYING*
+ prepgamesdirs
+}